Welcome to the Linux Foundation Forum!

Pathetic experience with PSI secure browser

Options
vivek.pophale
vivek.pophale Posts: 1
edited October 2023 in LFS258 Class Forum

My CKA exam was scheduled today on 2nd October 2023 at 11:30 AM. However, PSI secure browser caused my system crash and I couldn’t launch my exam.

I have attended many certification exams but haven’t faced such issues anytime.

The PSI browser seems to have bugs and causes very un-pleasant exam experience.

After preparing for quite a long and paying hefty exam fees no one would wish such exam experience.

I would urge CNCF to look into it and work on improving end user exam experience.

Comments

  • mstepien
    mstepien Posts: 426
    Options

    Hello @vivek.pophale,

    We apologize that you are encountering issues. Please open a ticket with our Customer Support Team at trainingsupport.linuxfoundation.org, and they will be able to assist you.

    Regards,
    Magda
    The Linux Foundation Training Team

  • a.nanachimi
    Options

    I can only confirm that. PSI "Secure Browser" is really the worst experience that you can't imagine before the exam.
    It is really frustrating.

    I couldn't take my exam today because the "browser" didn't work on my Ubuntu 20.04.5 LTS. I got a blank screen. Since I live in Germany, I had to call a US number for more than 35 minutes. In the end I was not helped. I don't know if PSI will pay the phone bill.

    Since the first attempt was 12 days ago on the same PC, I can say that the problem is from PSI "Secure Browser" and not from my PC. The version of the "browser" on my first try was 2.8.6 and has been updated to 2.9.1.

    The crazy thing is that they are forcing everyone to upgrade to the new 2.9.1 version even though it is not well tested and mature.

    The Linux Foundation needs to rethink this issue. It is really a very important issue.

    I have already created a ticket and hope to move this effort soon and that PSI will fix the problem.

    All I can do from my side is upgrade to Ubuntu 22.04 LTS and see.

  • agnieszkaq
    Options

    I also installed this version of psibrowser, and I have Ubuntu 20.04.6 LTS. I'm experiencing the same issue. This is the second time I have to reschedule my exam. Both times, I had a blank screen. It still hasn't been resolved.

  • aikedejongste
    Options

    Version 2.9.2 and Ubuntu 22.04 doesn't work either.

  • agnieszkaq
    agnieszkaq Posts: 2
    edited October 2023
    Options

    Today, I booked another session, but they still haven't fixed anything. This is the third time I can't take the exam properly. Each time, the advice I get from Linux Foundation is to create a new ticket, then uninstall the browser, and install again. I also contacted PSI Browser support through AnyDesk, but they couldn't help either. I don't recommend these exams at all.

  • milosbog
    Options

    I don't know what is the matter with Linux foundation and PSI. PSI secure browser obviously is buggy and traumatic experience. I mean how is it possible that they force users to use Windows- in Linux foundation!

  • mstepien
    mstepien Posts: 426
    Options

    Hi @milosbog,

    We understand that exams can be stressful, and we strive to provide a smooth and positive testing environment for all our students. If you feel the need to discuss your experience further, provide feedback, or if there's anything specific you'd like assistance with, we encourage you to submit a ticket to our Customer Support team at trainingsupport.linuxfoundation.org.

    Best regards,
    Magda
    The Linux Foundation Training Team

Categories

Upcoming Training